Skip to content

Run a Platt-scaling refit and UPSERT calibration_models

POST
/api/v1/cockpit/calibration/refit
curl --request POST \
--url https://api.ultimateteam.ai/api/v1/cockpit/calibration/refit \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <X-API-Key>' \
--data '{ "decision_type": "example", "role": "example", "window_days": 90 }'

Fit Platt parameters + UPSERT the fit row.

Media typeapplication/json
CalibrationRefitRequest

POST /calibration/refit body.

object
decision_type
Any of:
string
role
required
Role
string
window_days
Window Days
integer
default: 90 >= 30 <= 180

Successful Response

Media typeapplication/json
Response Post Calibration Refit Api V1 Cockpit Calibration Refit Post
object
key
additional properties
any
Examplegenerated
{}

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
ctx
Context
object
input
Input
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{
"detail": [
{
"ctx": {},
"input": "example",
"loc": [
"example"
],
"msg": "example",
"type": "example"
}
]
}